function l_band,lambda,response,t

; black body radiance (W/m2/sr/um) due to instrument with response curve
; response(lambda) (lambda in nm, response relative) at temperature(s) t (K)

check=check_math()
if (check and not 32) ne 0 then stop
lambda_m=lambda*1e-9
n_lambda=n_elements(lambda)
n_t=n_elements(t)
int_response=int_tabulated(lambda,response)
l=fltarr(n_t)
rl=fltarr(n_lambda)
for i=0,n_t-1 do begin
  for j=0,n_lambda-1 do rl[j]=response[j]*lbb(lambda_m[j],t[i])
  l[i]=int_tabulated(lambda,rl)/int_response
  check=check_math()
  if (check and not 32) ne 0 then stop
endfor
return,l

end
