function lbb,lambda,t

; black body radiance (W/m2/sr/um) at monochromatic wavelength lambda (m) and
; temperature T (K)

check=check_math()
if (check and not 32) ne 0 then stop
;c1=3.741775e-22
c2=.0143877
ln_c1_over_pi=-50.48204
lbb=c2/(lambda*t) ; actually exponent
over=where(lbb gt 88.8) ; check for overflow
w=where(lbb le 88.8)
if over[0] ge 0 then lbb[over]=!values.f_infinity
if w[0] ge 0 then lbb[w]=exp(lbb[w])-1.
under=where(lbb lt 1e-45) ; check for underflow
w=where(lbb ge 1e-45)
if under[0] ge 0 then lbb[under]=!values.f_infinity ; now ln(lbb)
if w[0] ge 0 then lbb[w]=ln_c1_over_pi-5.*alog(lambda)-alog(lbb[w])
under=where(lbb lt -87.3) ; check for underflow
over=where(lbb gt 88.8) ; check for overflow
w=where(lbb ge -87.3 and lbb le 88.8)
if under[0] ge 0 then lbb[under]=0.
if over[0] ge 0 then lbb[over]=!values.f_infinity
if w[0] ge 0 then lbb[w]=exp(lbb[w])
return,lbb

end
